using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace Fody.Infoof
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(Info.OfMethod("Fody.Infoof", "Fody.Infoof.Program", "TestMethod","System.String, System.Int32"));
            Console.WriteLine(Info.OfPropertyGet("Fody.Infoof", "Fody.Infoof.Program", "Property"));
            Console.WriteLine(Info.OfPropertySet("Fody.Infoof", "Fody.Infoof.Program", "Property"));
            Console.WriteLine(Info.OfField("Fody.Infoof", "Fody.Infoof.Program", "<Property>k__BackingField"));
            new Program().TestMethod("test",1);
        }


        public string Property { get; private set; }

        public void TestMethod(string p1, Int32 i)
        {
            Console.WriteLine(p1);
        }
    }
}
